
export interface Config {
    enqueue: EnqueueTask[]
    ytdlp_flatten: {
        filters: { [key: string]: string }
        enqueue_info?: boolean
    }
    ytdlp_download: {
        output: string,
        profiles: { [key: string]: string[] }
    }
}

export interface EnqueueTask {
    list_file?: string
    retry_failed?: boolean,
    kind: string,
    interval: number,
    filter?: string,
    oneshot?: boolean,
    default_flags?: string[]
    data: { [key: string]: unknown }
}
