# yt-dlp Media Downloader

Downloads media with yt-dlp.

Currently supported task kinds are `youtube`, `niconico` and `bilibili`.

The output directory is the tasks `output` data attribute which must be present.
Additional yt-dlp arguments are added based on the task's `profile` attribute.

## Configuration

- `ytdlp_download`
  - `profiles`: Map from profile name to list of arguments passed to yt-dlp.

Sample configuration:

```yaml
ytdlp_download:
    profiles:
        video:
            - -f
            - bestvideo+bestaudio
            - --embed-metadata
            - --remux=mkv
        audio:
            - -f
            - bestaudio
            - --embed-metadata
            - --remux=mka
```
