# yt-dlp Playlist Flattener

Transforms a playlist-like object into the media items that make it up.

Currently supported task kinds are `youtube-channel`, `niconico-channel` and
`bilibili-channel`. Where task ids are the ids assigned by the respective
platform.

## Configuration

- `ytdlp_flatten`
  - `filters`: Map from flag to filter. Flags are taken from the `flag`
    attribute in task data. Filters are passed straight to yt-dlp's
    `--match-filter` flag.
  - `enqueue_info`: Enqueues the correspoding channel info task on completion.

Sample configuration:

```yaml
ytdlp_flatten:
  filters:
    notlive: live_status=not_live
    short: duration<300
```
